org.keycloak.account

## Enum AccountPages

- java.lang.Object
- - java.lang.Enum<AccountPages>
  - - org.keycloak.account.AccountPages

- All Implemented Interfaces:
    Serializable, Comparable<AccountPages>

      public enum AccountPages
      extends Enum<AccountPages>

  Author:
    Stian Thorgersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT`
    `LOG`
    `PASSWORD`
    `SESSIONS`
    `SOCIAL`
    `TOTP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccountPages` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AccountPages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCOUNT

          public static final AccountPages ACCOUNT

    - #### PASSWORD

          public static final AccountPages PASSWORD

    - #### TOTP

          public static final AccountPages TOTP

    - #### SOCIAL

          public static final AccountPages SOCIAL

    - #### LOG

          public static final AccountPages LOG

    - #### SESSIONS

          public static final AccountPages SESSIONS

  - ### Method Detail

    - #### values

          public static AccountPages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccountPages c : AccountPages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccountPages valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.